<!doctype html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <link rel="stylesheet" href="assets/dependencies/bootstrap-4.3.1-dist/css/bootstrap.min.css">
    <link rel="stylesheet" href="assets/css/styles.css">
    <title>Seente andmebaas</title>
</head>

<body>
    <div id="mainContainer" class="container">
        <br />
        <hr />
        <div class="row">
            <div class="col-sm-12 col-md-6 main-box">
                <div class="main-box-internal giant-button" onclick="handleLoadEnneMetsaButtonClick()">
                    <h6>ENNE METSA</h6>
                </div>
            </div>
            <div class="col-sm-12 col-md-6 main-box">
                <div class="main-box-internal giant-button" onclick="handleLoadMushroomButtonClick()">
                    <h6>METSAS</h6>
                </div>
            </div>
            <div class="col-sm-12 col-md-6 main-box">
                <div class="main-box-internal giant-button" onclick="handleLoadPealeMetsaButtonClick()">
                    <h6>PEALE METSA</h6>
                </div>
            </div>
            <div class="col-sm-12 col-md-6 main-box">
                <div class="main-box-internal giant-button" onclick="handleLoadSeenteTootlusButtonClick()">
                    <h6>SEENTE TÖÖTLEMINE</h6>
                </div>
            </div>
        </div>
    </div>
    <br />



    <!-- Modal -->
    <div class="modal fade " id="enneMetsa" tabindex="-1" role="dialog" aria-labelledby="enneMetsa" aria-hidden="true">
        <div class="modal-dialog modal-xl" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="enneMetsaLabel">ENNE METSA MINEKUT PÖÖRATA TÄHELEPANU JÄRGNEVATELE
                        VALDKONDADELE:</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <h2>VARUSTUS JA RIIETUS<div><img src="images/seenekorv.jpg" width="300px" align="right"
                                style="margin-right: 100px"></div>
                    </h2>
                    <ul>
                        <li>Võtta kaasa terav nuga ja lahtine korv.</li>
                        <li> Kasutada putukatõrjevahendeid (ka puugitõrje!) nii nahal kui ka riietel.</li>
                        <li> Alati kanda peakatet, pikki pükse ja pikkade varrukatega pluusi, <br>
                            pannes püksisääred sokkide või kummikute sisse.</li>
                        <li>Jalanõud peaksid olema mugavad ja niiskuskindlad.</li>
                    </ul>

                    <h2>SEENTE KORJAMINE <div><img src="images/kummikud.jpg" width="250px" align="right"
                                style="margin-right: 100px"></div>
                    </h2>
                    <ul>
                        <li>Korjata ainult tuntud seeneliike!</li>
                        <li>Korjata ainult noori seeni, kuna mitmed seeneliigid muutuvad vananedes
                            mürgiseks/söögikõlbmatuks.
                        </li>
                        <li>Eelistada seene lõikamist jalalt, eriti kui tegemist on kulinaarselt väärtusliku seenega
                            (näiteks puravikud).</li>
                        <li>Lisaks lõikamisele, võib seeni õrnalt maapinnalt lahti keerata, <br> et mitte kahjustada
                            seeneniidistikku.</li>
                    </ul>

                    <h2>OHTUDE ENNETAMINE <div><img src="images/seenelkäik.PNG" width="450px" align="right"
                                style="margin-right: 50px"></div>
                    </h2>
                    <ul>
                        <li>ALATI TEAVITADA LÄHEDASI JA NAABREID, <br> KUHU PLAANID MINNA JA MILLAL NAASTA.</li>
                        <li>KAASA VÕTTA LAETUD AKUGA MOBIILTELEFON NING PANNA SEE SULETAVASSE TASKUSSE/KOTTI.</li>
                        <li>HOIDA MEELES METSA SISENEMISE KOHT NING VÕIMALUSEL <br> SEE MÄRGISTADA, NÄITEKS RIIDETÜKI
                            VÕI LINDIGA.</li>
                        <li>EKSIDES VÕI HÄTTA SATTUDES, KUTSUDA ABI VARAKULT ENNE PIMEDUSE SAABUMIST - 112.</li>
                    </ul>

                </div>
            </div>
        </div>
    </div>




    <div class="modal fade" id="pealeMetsa" tabindex="-1" role="dialog" aria-labelledby="pealeMetsa" aria-hidden="true">
        <div class="modal-dialog modal-xl" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="pealeMetsaLabel">PEALE METSASKÄIKU PÖÖRATA TÄHELEPANU JÄRGNEVATELE
                        VALDKONDADELE:</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">

                    <h2>PUUGIKONTROLL <div><img src="images/tick.png" width="70px" align="right"
                                style="margin-right: 100px"></div>
                    </h2>

                    <ul>
                        <li>PÄRAST METSAS VIIBIMIST VÕTTA SELJAST RIIDED, ET OLEKS VÕIMALIK KOGU KEHA ÜLE KONTROLLIDA!
                        </li>
                        <li>PUUGIKONTROLLI TEHES PÖÖRATA ERILIST TÄHELEPANU NAHAVOLTIDELE!</li>

                    </ul>
                    <h2>PUUGI EEMALDAMINE <div><img src="images/tickremoval.jpg" width="150px" align="right"
                                style="margin-right: 100px"></div>
                    </h2>
                    <ul>
                        <li>Leides nahale kinnitunud puugi, säilitada rahu ning püüda puuki mitte vigastada</li>
                        <li>Puugi kinnituskohta puhastada antiseptilise vahendiga.</li>
                        <li>Kaitsta sõrmi kokkuvolditud paberrätikuga või kasutada kummikindaid.</li>
                        <li>Võimaluse korral kasutada puugi eemaldamiseks spetsiaalseid pintsette ja/või
                            suurendusklaasi.
                        </li>
                        <li>Haarata pintsettidega puugist nahapinna lähedalt ja tõmmata puuki kindlalt
                            ühtlase survega otse üles.</li>
                        <li>Enne ja pärast puugi eemaldamist kasutada kinnituskoha desinfitseerimiseks antiseptilist
                            vahendit.</li>
                        <li>Peale puugi eemaldamist pesta käed ja pintsetid.</li>
                        <li>Puugi hammustuskohta jälgida 30 päeva vältel võimalike haigusnähtude avastamiseks.</li>
                        <li>Haigusnähtude ilmnemisel kontakteeruda perearstiga.</li>

                    </ul>
                    <h2>SEENTE ETTEVALMISTAMINE TÖÖTLEMISEKS <div><img src="images/mushclean.jpg" width="250px"
                                align="right" style="margin-right: 100px"></div>
                    </h2>
                    <ul>
                        <li> Seened puhastada ja kasutada hiljemalt ööpäeva jooksul pärast korjamist.</li>
                        <li> Korjatud seened sorteetida ning töötlemiseks valida vaid seened, <br> mille
                            söögikõlblikkuses oled täiesti kindel.</li>
                        <li> Seened sorteerida vastavalt töötlemisviisidele,<br>
                            eraldades värskelt söödavad seened kupatamist vajavatest seentest.</li>
                        <li> Seeni puhastada kuiva pintsliga ja/või niiske lapiga.</li>
                    </ul>
                </div>
            </div>
        </div>
    </div>

    <div class="modal fade " id="seenteTootlus" tabindex="-1" role="dialog" aria-labelledby="seenteTootlus"
        aria-hidden="true">
        <div class="modal-dialog modal-xl" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="seenteTootlusLabel">SEENTE TÖÖTLEMINE</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <h2>KUPATAMINE<img src="images/kupatamine.PNG" width="300px" align="right"
                            style="margin-right: 50px"></h2>
                    <p2>Ettevalmistatud seened tuleb kupatada. Olenevalt seene liigist tuleb neid kupatada 5 kuni 30
                        minutit.
                        Kupatatud seened pesta külmas vees ja nõrutada. Nõrutatud seened lõikuda salati või kastme jaoks
                        sobiva suurusega tükkideks,
                        pakkida tihedalt sobiva suurusega karpidesse ja sügavkülmutada. Säilivusaeg kuni 12 kuud.
                    </p2>
                    <h2>SEENED OMAS MAHLAS </h2>
                    <p2><img src="images/omasmahlas.jpg" width="300px" align="right" style="margin-right: 50px">
                        Sellise hoidistamisviisi jaoks sobivad paljud seened. Igat seeneliiki tuleks hoidistada eraldi.
                        Vaesel seeneaastal võib teha ka segahoidist.
                        Seened nõrutada, võitatikutel ja pilvikutel eemaldada kübarnahk. Omas mahlas saab hoidistada
                        neid pilvikuid, mis ei vaja kupatamist.
                        Kitsemamplid, kuuseriisikad, heinikud tuleb blanššeerida, so panna mõneks minutiks keevasse
                        vette. Siis ei murdu haprad seened edasisel töötlemisel.
                        Seened tükeldada, panna hautamisnõusse, panna näpuotsaga soola, et mahl hakkaks kiiremini
                        eralduma. <br>
                        Seeni kuumutada tasasel tulel segades, kuni umbes pool vedelikust on aurustunud. <br>
                        Seened tõsta koos vedelikuga külmutuskarpidesse, lasta ilma kaaneta täielikult jahtuda ja <br>
                        tõsta
                        sügavkülma. Säilivusaeg kuni 12 kuud.
                    </p2>
                    <h2>KUIVALT PRAETUD SEENED</h2>
                    <div><img src="images/praadimine.jpg" width="300px" align="right" style="margin-right: 50px"></div>
                    <p2>
                        Nii sobib külmutada seeni, mis ei vaja kupatamist ei mürgisuse ega kibeda maitse tõttu.
                        Seened tükeldada, tõsta osa neist külmale kuivale laia põhjaga pannile ja panna väga nõrgale
                        tulele, segada.
                        Kui seentest hakkab eralduma mahla, lisada seeni jaokaupa juurde. Segades kuumutada seeni, kuni
                        kogu vedelik on aurustunud.
                        Lisada paar lusikat rasvainet. Seened läbi praadida, kuid mitte
                        pruunistumiseni. Säilitada sügavkülmas.
                    </p2>
                    <h2>SOOLAMINE</h2>

                    <p2><img src="images/soolatud.jpg" width="200px" align="right" style="margin-right: 50px">
                        See on lihtsaim viis seente säilitamiseks. Soolaseeni saab kasutada suppide, salatite, kastmete,
                        hautiste valmistamiseks.
                        Soolata võib praktiliselt kõiki seeneliike. Seened peavad olema värsked, muljumata. <br>
                        Seened tuleb puhastada, pesta (soovitavalt voolava veega), nõrutada. Puravikud puhastada vaid
                        pintsli või niiske lapiga, vältimaks liigse vee imendumist.
                        Limaste kübaratega seentel tuleb eemaldada kübaranahk. Seente jalad lõigata lühikeseks,
                        sitked seenejalad tuleb ära visata.
                        Suured seenekübarad tuleb pooleks või neljaks lõigata. Õrnad ja aromaatsed kuuse- ja
                        kuldriisikad soovitatakse soolata teisi maitseaineid kasutamata. <br>
                        Teiste seente vahele võib panna küüslaugutükikesi, tilli, mõned mustsõstralehed, loorberilehti.
                    </p2>
                    <h2>MARINEERIMINE<img src="images/marineerimine.jpg" width="150px" align="right"
                            style="margin-right: 50px"></h2>
                    <p2>
                        Marineerimine on levinud viis seente säilitamiseks.
                        Oluline on leida endale sobiv marinaad (soola, suhkru ja äädika vahekord).
                        Marineerida võib igasuguseid seeni, kuid kupatamist vajavaid seeni tuleb enne
                        marinaadi panekut kindlasti kupatada.
                        Seente marineerimiseks tuleb valmistada marinaad: vesi keema ajada, lisada sool, suhkur,
                        kooritud sibul, vürtsid ning keeta 5-6 minutit.
                        Sibul välja tõsta, lisada äädikat. Seejärel panna seened <br>potti ja keeta mõni minut.
                        Tõsta seened koos marinaadiga steriliseeritud purkidesse ja kaaneta koheselt.
                    </p2>
                    <h2>KÜLMUTAMINE <div><img src="images/külmutamine.jpg" width="300px" align="right"
                                style="margin-right: 50px"></div>
                    </h2>
                    <p2>
                        Enne sügavkülmutamist tuleb puhastatud ja pestud seened kupatada (keeta), hautada omas mahlas
                        või
                        praadida.
                        Toorelt külmutatud seened jäävad vintskeks. Sügavkülmutatavatele seentele võib lisada ka hakitud
                        tilli.
                        Sügavkülmutamine toimub vahemikus -25 kuni -28°C ja seeni säilitatakse -18°C juures. Olenevalt
                        valmistamisviisist säilivad seened sügavkülmas 2-12 kuud.
                    </p2>
                    <h2>KUIVATAMINE </h2>
                    <div><img src="images/kuivatamine.PNG" width="300px" align="right" style="margin-right: 50px"></div>
                    <p2>
                        Seened tuleb korjata kuiva ilmaga. Neid ei pesta, vaid puhastatakse pintsli ja niiske lapiga.
                        Ühesugused seenetükid seada restile.
                        Kuivatamist võib alustada suvekuumas õhurikkas katusealuses, kuuma pliidi kohal või ka avatud
                        uksega praeahjus, saunalaval, ka ringleva õhuga grillahjus.
                        Temperatuur ei tohiks alguses olla kõrgem kui 45°C. Umbes 3-4 tunni pärast tuleb seened panna
                        praeahju restile ja tõsta temperatuuri järk-järgult 60-80°C -ni.
                        Kui võimalik,<br> tuleb seened vahepeal toatemperatuurini maha jahutada ja siis uuesti praeahju
                        tõsta. <br>Lõpuks hakata tasapisi temperatuuri langetama.
                        Kasutada võib ka vanaaegset moodust seeni nööri otsas kuivatada. Nöörid seentega tuleb riputada
                        sooja ruumi – sauna, pliidi kohale, radiaatori kõrvale.
                    </p2>

                </div>
            </div>
        </div>
    </div>

    <div class="modal fade " id="seenteAndmebaas" tabindex="-1" role="dialog" aria-labelledby="seenteAndmebaas"
        aria-hidden="true">
        <div class="modal-dialog modal-xl" role="document">
            <div class="modal-content">
                <div class="modal-header">

                    <div>
                        <input id="searchKey" type="text" class="form-control" placeholder="Otsi..."
                            onkeyup="handleSearchkeyChange()">
                    </div>
                    <div>
                        <h2 class="modal-title" id="seenteAndmebaas">SEENTE ANDMEBAAS</h2>
                    </div>
                    <div>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                </div>
                <div class="modal-body">
                    <div class="row">
                        <div class="col-12">
                            <h5>KÜBARA KUJU</h5>
                        </div>
                        <div class="col-lg-4">
                            <button class="button-picture" onclick="handleLevel1Click('kumer')"><img
                                    src="images/1-1.png"></button>
                        </div>
                        <div class="col-lg-4">
                            <button class="button-picture" onclick="handleLevel1Click('lame')"><img
                                    src="images/1-2.png"></button>
                        </div>
                        <div class="col-lg-4">
                            <button class="button-picture" onclick="handleLevel1Click('lehterjas')"><img
                                    src="images/1-3.png"></button>
                        </div>
                    </div>
                    <div class="row" style="display: none" id="petalsBox">
                        <div class="col-12">
                            <h5>EOSED</h5>
                        </div>
                        <div class="col-lg-6">
                            <button class="button-picture2" onclick="handleLevel2Click('eoslehekesed')"><img
                                    src="images/2-1.png"></button>
                        </div>
                        <div class="col-lg-6">
                            <button class="button-picture2" onclick="handleLevel2Click('torukesed')"><img
                                    src="images/2-2.png"></button>
                        </div>
                    </div>
                    <div class="row" style="display: none" id="bodyBox">
                        <div class="col-12">
                            <h5>RÕNGASLOOR</h5>
                        </div>
                        <div class="col-lg-6">
                            <button class="button-picture2" onclick="handleLevel3Click('rõngasloor')"><img
                                    src="images/3-1.png"></button>
                        </div>
                        <div class="col-lg-6">
                            <button class="button-picture2" onclick="handleLevel3Click('rõngata')"><img
                                    src="images/3-2.png"></button>
                        </div>
                    </div>
                    <div class="row" style="display: none" id="colorBox">
                        <div class="col-12">
                            <h5>SEENE VÄRV</h5>
                        </div>
                        <div class="col-lg-2">
                                <button class="button-picture3" onclick="handleLevel4Click('pruun')"><img
                                    src="images/4-1.png"></button>
                        </div>
                        <div class="col-lg-2">
                            <button class="button-picture3" 
                            onclick="handleLevel4Click('oranž')"> <img src="images/4-2.png"></button>
                        </div>
                        <div class="col-lg-2">
                            <button class="button-picture3" 
                            onclick="handleLevel4Click('kollane')"><img src="images/4-3.png"></button>
                        </div>
                        <div class="col-lg-2">
                            <button class="button-picture3" 
                            onclick="handleLevel4Click('punane')"><img src="images/4-4.png"></button>
                        </div>
                        <div class="col-lg-2">
                            <button class="button-picture3" 
                            onclick="handleLevel4Click('hall')"><img src="images/4-5.png"></button>
                        </div>
                        <div class="col-lg-2">
                            <button class="button-picture3" 
                            onclick="handleLevel4Click('valge')"><img src="images/4-6.png"></button>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-12">
                            <div id="mushroomFilteredList"></div>
                        </div>
                    </div>
                </div>
            </div>
        </div>



        <script src="assets/dependencies/jquery-3.3.1/jquery-3.3.1.slim.min.js"></script>
        <script src="assets/dependencies/popper-1.14.7/popper.min.js"></script>
        <script src="assets/dependencies/bootstrap-4.3.1-dist/js/bootstrap.min.js"></script>
        <script src="assets/dependencies/charts-2.8.0/chart.js"></script>
        <script src="assets/js/config.js"></script>
        <script src="assets/js/util.js"></script>
        <script src="assets/js/fetchApi.js"></script>
        <script src="assets/js/controller.js"></script>
        <script>
            // After page load.
            loadMushroom();
        </script>
</body>

</html>